Domains
Domain
Retrieve detailed metadata for a single top-level research domain by its numeric ID.
GET
/
domains
/
{id}
curl -X GET "https://api.hexagraph.in/domains/3"
fetch("https://api.hexagraph.in/domains/3")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/domains/3")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/domains/3")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 3,
"name": "Physical Sciences",
"description": "branch of natural science that studies non-living systems",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q14632398",
"wikipedia": "https://en.wikipedia.org/wiki/Outline_of_physical_science"
},
"display_name_alternatives": ["Natural Sciences"],
"fields": [
{
"id": 15,
"name": "Chemical Engineering"
}
],
"siblings": [
{
"id": 1,
"name": "Life Sciences"
}
],
"outputs_count": 163713213,
"cited_by_count": 1132994559,
"updated_date": "2026-08-05T03:01:47",
"created_date": "2024-01-23T15:21:58"
}
{
"statusCode": 404,
"message": "Domain with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a top-level research domain (Level 0 taxonomy node) by its numeric identifier (e.g.
3 for Physical Sciences).
Path Parameters
string
required
Unique numeric domain identifier (e.g.
3).Response Fields
string
required
Numeric domain identifier (e.g.
"3").string
required
Domain display name (e.g.
"Physical Sciences").string
Scope description.
array
Alternative display names or abbreviations.
array
array
integer
Total number of indexed outputs in this domain.
integer
Total citation count received.
string
Last updated timestamp.
string
Creation timestamp.
curl -X GET "https://api.hexagraph.in/domains/3"
fetch("https://api.hexagraph.in/domains/3")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/domains/3")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/domains/3")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 3,
"name": "Physical Sciences",
"description": "branch of natural science that studies non-living systems",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q14632398",
"wikipedia": "https://en.wikipedia.org/wiki/Outline_of_physical_science"
},
"display_name_alternatives": ["Natural Sciences"],
"fields": [
{
"id": 15,
"name": "Chemical Engineering"
}
],
"siblings": [
{
"id": 1,
"name": "Life Sciences"
}
],
"outputs_count": 163713213,
"cited_by_count": 1132994559,
"updated_date": "2026-08-05T03:01:47",
"created_date": "2024-01-23T15:21:58"
}
{
"statusCode": 404,
"message": "Domain with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/domains/3"
fetch("https://api.hexagraph.in/domains/3")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/domains/3")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/domains/3")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 3,
"name": "Physical Sciences",
"description": "branch of natural science that studies non-living systems",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q14632398",
"wikipedia": "https://en.wikipedia.org/wiki/Outline_of_physical_science"
},
"display_name_alternatives": ["Natural Sciences"],
"fields": [
{
"id": 15,
"name": "Chemical Engineering"
}
],
"siblings": [
{
"id": 1,
"name": "Life Sciences"
}
],
"outputs_count": 163713213,
"cited_by_count": 1132994559,
"updated_date": "2026-08-05T03:01:47",
"created_date": "2024-01-23T15:21:58"
}
{
"statusCode": 404,
"message": "Domain with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}